curl --request GET \
--url https://api.open.cx/workflows/{workflow_id}/runs \
--header 'Authorization: Bearer <token>'{
"runs": [
{
"id": "<string>",
"workflow_id": 123,
"status": "canceled",
"trigger_cause": "automatic",
"duration_in_seconds": 123,
"run_started_at": "2023-11-07T05:31:56Z",
"run_ended_at": "2023-11-07T05:31:56Z",
"is_test_run": true,
"created_at": "2023-11-07T05:31:56Z"
}
],
"total_items": 123,
"total_pages": 123,
"has_next_page": true,
"current_page": 123
}List execution runs for a workflow with filtering and pagination. Filter by status (completed, failed, in_progress, canceled, idle), trigger cause (manual, automatic, scheduled), and search by keyword.
curl --request GET \
--url https://api.open.cx/workflows/{workflow_id}/runs \
--header 'Authorization: Bearer <token>'{
"runs": [
{
"id": "<string>",
"workflow_id": 123,
"status": "canceled",
"trigger_cause": "automatic",
"duration_in_seconds": 123,
"run_started_at": "2023-11-07T05:31:56Z",
"run_ended_at": "2023-11-07T05:31:56Z",
"is_test_run": true,
"created_at": "2023-11-07T05:31:56Z"
}
],
"total_items": 123,
"total_pages": 123,
"has_next_page": true,
"current_page": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Page number (1-based)
Results per page (max 50)
Comma-separated statuses: completed, failed, in_progress, canceled, idle
Comma-separated causes: manual, automatic, scheduled
Was this page helpful?